Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006297 [JEDI VCL] 00 JVCL Components major always 2014-06-11 17:13 2015-09-21 17:47
Reporter cacofony View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006297: TJvBalloonHint NOT painting on Windows 7 / 8
Description BalloonHint painting entirely transparent. Visible only edging.
Additional Information Fix 0005258 appears to be missing from svn, plus additional need for win8 support.

Below fixes.

procedure TJvBalloonWindow.CreateParams(var Params: TCreateParams);
begin
  inherited CreateParams(Params);
  { Drop shadow in combination with custom animation may cause blurry effect,
    no solution.
  }
  with Params do
  begin
    Style := Style and not WS_BORDER;
    if IsWinXP_UP and (GetComCtlVersion >= ComCtlVersionIE6) then
    begin
      WindowClass.Style := WindowClass.Style or CS_DROPSHADOW;
      {$IFDEF JVCLThemesEnabled}
      if (not IsWinSeven_UP) and (IsWinVista_UP and StyleServices.Enabled) then
      begin
        ExStyle := ExStyle or WS_EX_LAYERED;
        if FIsMultiLineMsg then
          ExStyle := ExStyle or WS_EX_COMPOSITED;
      end;
      {$ENDIF JVCLThemesEnabled}
    end
    else
      WindowClass.Style := WindowClass.Style and not CS_DROPSHADOW;
  end;
end;
Tags No tags attached.
Attached Files

- Relationships
related to 0005258resolvedobones TJvBalloonHint NOT painting on Windows 7 
has duplicate 0006307resolvedobones TJvBalloonHint NOT painting on Windows WIN8 and DEX5 

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-06-11 17:13 cacofony New Issue
2014-08-31 22:40 obones Relationship added related to 0005258
2014-08-31 22:40 obones Relationship added has duplicate 0006307
2014-08-31 22:40 obones Assigned To => obones
2014-08-31 22:40 obones Status new => acknowledged
2014-09-03 11:28 obones Status acknowledged => resolved
2014-09-03 11:28 obones Fixed in Version => Daily / GIT
2014-09-03 11:28 obones Resolution open => fixed
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker